cURL
curl -X DELETE "https://app-api.geonode.com/api/configuration/active/whitelisted-ips" \
-H "Authorization: Basic {{credentials}}" \
-H "Content-Type: application/json" \
-d '{"ips": [{"ip": "161.142.148.148"}, {"ip": "161.142.148.141"}]}'import requests
url = "https://app-api.geonode.com/api/configuration/active/whitelisted-ips"
payload = { "ips": [{ "ip": "161.142.148.121" }, { "ip": "161.142.148.147" }, { "ip": "161.142.148.148" }, { "ip": "161.142.148.141" }, { "ip": "161.142.148.142" }, { "ip": "161.142.148.143" }, { "ip": "161.142.148.144" }, { "ip": "161.142.148.145" }, { "ip": "161.142.148.146" }, { "ip": "161.142.148.149" }] }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ips: [
{ip: '161.142.148.121'},
{ip: '161.142.148.147'},
{ip: '161.142.148.148'},
{ip: '161.142.148.141'},
{ip: '161.142.148.142'},
{ip: '161.142.148.143'},
{ip: '161.142.148.144'},
{ip: '161.142.148.145'},
{ip: '161.142.148.146'},
{ip: '161.142.148.149'}
]
})
};
fetch('https://app-api.geonode.com/api/configuration/active/whitelisted-ips', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"ip": "161.142.148.141",
"description": "mac-m1",
"_id": "67a875f693afe58d40f2e93d"
}
],
"message": {
"title": "Updated",
"body": "Whitelisted IPs removed.",
"variant": "success"
}
}{
"error": "Invalid input data."
}{
"error": "Unauthorized - Invalid credentials."
}IP Whitelist
Remove Whitelisted IPs
Removes up to 10 IP addresses per request.
DELETE
/
configuration
/
active
/
whitelisted-ips
cURL
curl -X DELETE "https://app-api.geonode.com/api/configuration/active/whitelisted-ips" \
-H "Authorization: Basic {{credentials}}" \
-H "Content-Type: application/json" \
-d '{"ips": [{"ip": "161.142.148.148"}, {"ip": "161.142.148.141"}]}'import requests
url = "https://app-api.geonode.com/api/configuration/active/whitelisted-ips"
payload = { "ips": [{ "ip": "161.142.148.121" }, { "ip": "161.142.148.147" }, { "ip": "161.142.148.148" }, { "ip": "161.142.148.141" }, { "ip": "161.142.148.142" }, { "ip": "161.142.148.143" }, { "ip": "161.142.148.144" }, { "ip": "161.142.148.145" }, { "ip": "161.142.148.146" }, { "ip": "161.142.148.149" }] }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ips: [
{ip: '161.142.148.121'},
{ip: '161.142.148.147'},
{ip: '161.142.148.148'},
{ip: '161.142.148.141'},
{ip: '161.142.148.142'},
{ip: '161.142.148.143'},
{ip: '161.142.148.144'},
{ip: '161.142.148.145'},
{ip: '161.142.148.146'},
{ip: '161.142.148.149'}
]
})
};
fetch('https://app-api.geonode.com/api/configuration/active/whitelisted-ips', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"ip": "161.142.148.141",
"description": "mac-m1",
"_id": "67a875f693afe58d40f2e93d"
}
],
"message": {
"title": "Updated",
"body": "Whitelisted IPs removed.",
"variant": "success"
}
}{
"error": "Invalid input data."
}{
"error": "Unauthorized - Invalid credentials."
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Body
application/json
A JSON object containing a list of IP addresses to be removed. Only the highest 10 IPs can be removed at a time.
List of IP objects to remove.
Show child attributes
Show child attributes
Was this page helpful?